Name:           hso-udev
Version:        0.1
Release:        1%{?dist}
Summary:        UDEV rules and tools for hso

Group:          System Environment/Base
License:        GPLv2
URL:            http://www.pharscape.org/component/option,com_forum/Itemid,68/page,viewtopic/t,425/
Source0:        hso-udev.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gcc
Requires:       udev      

%description
UDEV rules and tools for hso to make Option 7.2 Mbps USB devices work by
remove the CDROM devices the USB sticks contains.

%prep
rm -rf %{name}-%{version}
mkdir %{name}-%{version}
cd %{name}-%{version}
tar xvzf $RPM_SOURCE_DIR/hso-udev.tar.gz
rm ./rezero # the tar contains a binary, we dont want that


%build
make -C %{name}-%{version}



%install
rm -rf $RPM_BUILD_ROOT
%{__mkdir_p} $RPM_BUILD_ROOT/%{_sbindir}/
%{__mkdir_p} $RPM_BUILD_ROOT/%{_sysconfdir}/udev/rules.d/
install -m755 %{name}-%{version}/rezero $RPM_BUILD_ROOT/%{_sbindir}/
%{__cp} %{name}-%{version}/hso.udev $RPM_BUILD_ROOT/%{_sysconfdir}/udev/rules.d/39-hso-udev.rules

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/udevadm control --reload_rules

%files
%defattr(-,root,root,-)
%doc %{name}-%{version}/README
%{_sbindir}/rezero
%config %{_sysconfdir}/udev/rules.d/39-hso-udev.rules

%changelog
* Fri Jun 27 2008 Tim Lauridsen <tim.lauridsen@googlemail.com> 0.1-1
- initial RPM package 

